summaryrefslogtreecommitdiff
path: root/util/buildbot
diff options
context:
space:
mode:
authorWeblate <42@minetest.ru>2013-02-28 18:03:28 +0100
committerWeblate <42@minetest.ru>2013-02-28 18:03:28 +0100
commit22e186b4aa88b585e71500c4e9a03bf69b0b6191 (patch)
tree14c5b7a73cf144ba7cf3066caac088a200f81a72 /util/buildbot
parent372acf7b8eca0614a4a0da93cfbaccbcd459b36b (diff)
parentd31f07bd4b83f858cce589faac56922e12ba670f (diff)
downloadminetest-22e186b4aa88b585e71500c4e9a03bf69b0b6191.tar.gz
minetest-22e186b4aa88b585e71500c4e9a03bf69b0b6191.tar.bz2
minetest-22e186b4aa88b585e71500c4e9a03bf69b0b6191.zip
Merge remote branch 'origin/master'
Diffstat (limited to 'util/buildbot')
-rwxr-xr-xutil/buildbot/buildwin32.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/util/buildbot/buildwin32.sh b/util/buildbot/buildwin32.sh
index 52d2aa182..fc42db8a7 100755
--- a/util/buildbot/buildwin32.sh
+++ b/util/buildbot/buildwin32.sh
@@ -50,11 +50,11 @@ cd $builddir
-c -O $packagedir/libvorbis-$vorbis_version-dll.7z || exit 1
[ -e $packagedir/libcurl-$curl_version-win32-msvc.zip ] || wget http://curl.haxx.se/download/libcurl-$curl_version-win32-msvc.zip \
-c -O $packagedir/libcurl-$curl_version-win32-msvc.zip || exit 1
-wget http://github.com/celeron55/minetest/zipball/master \
- -c -O $packagedir/minetest.zip --tries=3 || (echo "Please download http://github.com/celeron55/minetest/zipball/master manually and save it as $packagedir/minetest.zip"; read -s)
+wget http://github.com/minetest/minetest/zipball/master \
+ -c -O $packagedir/minetest.zip --tries=3 || (echo "Please download http://github.com/minetest/minetest/zipball/master manually and save it as $packagedir/minetest.zip"; read -s)
[ -e $packagedir/minetest.zip ] || (echo "minetest.zip not found"; exit 1)
-wget http://github.com/celeron55/minetest_game/zipball/master \
- -c -O $packagedir/minetest_game.zip --tries=3 || (echo "Please download http://github.com/celeron55/minetest_game/zipball/master manually and save it as $packagedir/minetest_game.zip"; read -s)
+wget http://github.com/minetest/minetest_game/zipball/master \
+ -c -O $packagedir/minetest_game.zip --tries=3 || (echo "Please download http://github.com/minetest/minetest_game/zipball/master manually and save it as $packagedir/minetest_game.zip"; read -s)
[ -e $packagedir/minetest_game.zip ] || (echo "minetest_game.zip not found"; exit 1)
[ -e $packagedir/openal_stripped.zip ] || wget http://minetest.ru/bin/openal_stripped.zip \
-c -O $packagedir/openal_stripped.zip || exit 1
@@ -63,10 +63,10 @@ wget http://github.com/celeron55/minetest_game/zipball/master \
# Figure out some path names from the packages
-minetestdirname=`unzip -l $packagedir/minetest.zip | head -n 7 | tail -n 1 | sed -e 's/^[^c]*//' -e 's/\/.*$//'`
+minetestdirname=`unzip -l $packagedir/minetest.zip | head -n 7 | tail -n 1 | sed -e 's/^[^m]*//' -e 's/\/.*$//'`
minetestdir=$builddir/$minetestdirname || exit 1
-git_hash=`echo $minetestdirname | sed -e 's/celeron55-minetest-//'`
-minetest_gamedirname=`unzip -l $packagedir/minetest_game.zip | head -n 7 | tail -n 1 | sed -e 's/^[^c]*//' -e 's/\/.*$//'`
+git_hash=`echo $minetestdirname | sed -e 's/minetest-minetest-//'`
+minetest_gamedirname=`unzip -l $packagedir/minetest_game.zip | head -n 7 | tail -n 1 | sed -e 's/^[^m]*//' -e 's/\/.*$//'`
# Extract stuff
cd $libdir || exit 1